OCTAVE-CONFIG(1)

NAME
octave-config - GNU Octave component and library information retrieval

SYNOPSIS
octave-config [OPTION]...

DESCRIPTION
octave-config is a tool to obtain directory information for .oct and .m files for octave(1).

OPTIONS

--m-site-dir
    Display the main directory for local, or site-specific, .m script files.

--oct-site-dir
    Display the main directory for local, or site-specific, .oct dynamic-link libraries.

-p VAR, --print VAR
    Print the default value of the Octave configuration variable VAR. Recognized variables are:
       API_VERSION             LOCALAPIOCTFILEDIR
       ARCHLIBDIR              LOCALARCHLIBDIR
       BINDIR                  LOCALFCNFILEDIR
       CANONICAL_HOST_TYPE     LOCALOCTFILEDIR
       DATADIR                 LOCALSTARTUPFILEDIR
       DATAROOTDIR             LOCALVERARCHLIBDIR
       DEFAULT_PAGER           LOCALVERFCNFILEDIR
       EXEC_PREFIX             LOCALVEROCTFILEDIR
       FCNFILEDIR              MAN1DIR
       IMAGEDIR                MAN1EXT
       INCLUDEDIR              MANDIR
       INFODIR                 OCTFILEDIR
       INFOFILE                OCTINCLUDEDIR
       LIBDIR                  OCTLIBDIR
       LIBEXECDIR              PREFIX
       LOCALAPIARCHLIBDIR      STARTUPFILEDIR
       LOCALAPIFCNFILEDIR      VERSION

-v, --version
    Display the version number of octave(1).

-h, -?, --help
    Print help message.

AUTHOR
John W. Eaton <jwe@octave.org> This manual page was contributed by Dirk Eddelbuettel <edd@debian.org> for the Debian GNU/Linux distribution but may be used by others.

SEE ALSO
octave (1).